<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="appsettings.json" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="appsettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Mall.AOP\Mall.AOP.csproj" />
    <ProjectReference Include="..\Mall.CacheManager\Mall.CacheManager.csproj" />
    <ProjectReference Include="..\Mall.Common\Mall.Common.csproj" />
    <ProjectReference Include="..\Mall.DataHelper\Mall.DataHelper.csproj" />
    <ProjectReference Include="..\Mall.IM\Mall.IM.csproj" />
    <ProjectReference Include="..\Mall.Model\Mall.Model.csproj" />
    <ProjectReference Include="..\Mall.Module.BaseSetUp\Mall.Module.BaseSetUp.csproj" />
    <ProjectReference Include="..\Mall.Module.Education\Mall.Module.Education.csproj" />
    <ProjectReference Include="..\Mall.Module.MarketingCenter\Mall.Module.MarketingCenter.csproj" />
    <ProjectReference Include="..\Mall.Module.Miai\Mall.Module.Miai.csproj" />
    <ProjectReference Include="..\Mall.Module.Product\Mall.Module.Product.csproj" />
    <ProjectReference Include="..\Mall.Module.Property\Mall.Module.Property.csproj" />
    <ProjectReference Include="..\Mall.Module.Reserve\Mall.Module.Reserve.csproj" />
    <ProjectReference Include="..\Mall.Module.TradePavilion\Mall.Module.TradePavilion.csproj" />
    <ProjectReference Include="..\Mall.Module.User\Mall.Module.User.csproj" />
    <ProjectReference Include="..\Mall.Repository\Mall.Repository.csproj" />
    <ProjectReference Include="..\Mall.ThirdCore\Mall.ThirdCore.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="upfile\" />
  </ItemGroup>

</Project>
